> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send rich message postback

> Sends a rich message postback.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/send_rich_message_postback
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/send_rich_message_postback:
    post:
      tags:
        - Events
      summary: Send rich message postback
      description: Sends a rich message postback.
      operationId: send-rich-message-postback
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendRichMessagePostbackRequest'
            example:
              chat_id: PJ0MRSHTDG
              thread_id: K600PKZON8
              event_id: a0c22fdd-fb71-40b5-bfc6-a8a0bc3117f7
              postback:
                id: Method URL_yes
                toggled: true
                button_type: url
                button_value: https://platform.text.com
                ecommerce:
                  product_id: '12345'
                  option_id: red-xl
                  quantity: 1
      responses:
        '200':
          description: Postback sent.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    SendRichMessagePostbackRequest:
      type: object
      required:
        - chat_id
        - event_id
        - postback
        - thread_id
      properties:
        chat_id:
          type: string
        event_id:
          type: string
        postback:
          type: object
          required:
            - id
            - toggled
          properties:
            id:
              type: string
              description: The postback name of the button.
            toggled:
              type: boolean
              description: >-
                If set to `true`: the postback is toggled. If set to `false`:
                the postback is not toggled.
            button_type:
              type: string
            button_value:
              type: string
            ecommerce:
              type: object
              properties:
                product_id:
                  type: string
                option_id:
                  type: string
                quantity:
                  type: number
              required:
                - product_id
        thread_id:
          type: string
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````